<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
	<title th:text="${addName}"></title>

	<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
	<link rel="stylesheet" type="text/css" th:href="@{/css/main.css}" />
	<link rel="stylesheet" type="text/css" th:href="@{/css/subscribe.css}" />

</head>
<body>
	
	<div id="container">

		<nav>
			<ul class="list-unstyled list-inline">
				<li><a href="/users/subscribe">➕ Créer un compte</a></li>
				<li><a href="/users/list">👨 Lister les utilisateurs</a></li>
			</ul>
		</nav>

		<section id="subscribe">

			<h1>Création de compte</h1>
			<form action="/users/subscribe" method="post" th:object="${user}">
				<fieldset>
					
					<ul class="list-unstyled">
						<li class="formRow">
							<label for="email">Votre adresse email<span class="required">*</span> : </label>
							<input type="text" name="email" id="email" th:field="*{email}">
							<span th:if="${#fields.hasErrors('email')}" th:errors="*{email}" class="error">Error message</span>
						</li>
						<li class="formRow">
							<label for="motDePasse">Votre mot de passe<span class="required">*</span> : </label>
							<input type="password" name="motDePasse" id="motDePasse" th:field="*{motDePasse}">
							<span class="note">Doit faire au moins 6 caractères et contenir au moins une minuscule, une majuscule et un chiffre.</span>
							<span th:if="${#fields.hasErrors('motDePasse')}" th:errors="*{motDePasse}" class="error">Error message</span>
						</li>
						<li class="formRow">
							<label for="raisonSociale">Votre raison sociale<span class="required">*</span> : </label>
							<input type="text" name="raisonSociale" id="raisonSociale" th:field="*{raisonSociale}">
							<span th:if="${#fields.hasErrors('raisonSociale')}" th:errors="*{raisonSociale}" class="error">Error message</span>
						</li>
						<li class="formRow">
							<label for="numSiret">Votre numéro SIRET<span class="required">*</span> : </label>
							<input type="text" name="userDataAdministrative.numSiret" id="numSiret" th:field="*{userDataAdministrative.numSiret}">
							<span th:if="${#fields.hasErrors('userDataAdministrative.numSiret')}" th:errors="*{userDataAdministrative.numSiret}" class="error">Error message</span>
						</li>
						<li class="formRow">
							<label for="tvaIntra">Votre Numéro de TVA intra. : </label>
							<input type="text" name="userDataAdministrative.tvaIntra" id="tvaIntra" th:field="*{userDataAdministrative.tvaIntra}">
							<span th:if="${#fields.hasErrors('userDataAdministrative.tvaIntra')}" th:errors="*{userDataAdministrative.tvaIntra}" class="error">Error message</span>
						</li>
						<li class="formRow">
							<label for="nombreSalaries">Votre nombre de salariés : </label>
							<input type="text" name="nombreSalaries" id="nombreSalaries" th:field="*{nombreSalaries}">
							<span th:if="${#fields.hasErrors('nombreSalaries')}" th:errors="*{nombreSalaries}" class="error">Error message</span>
						</li>
						<li class="formRow">
							<label for="insriptionNewsletter">
								<input type="checkbox" name="insriptionNewsletter" id="insriptionNewsletter" value="1">
								Vous souhaitez vous inscrire à la Newsletter
							</label>
						</li>
						<li class="sendRow">
							<input type="submit" value="Créer votre compte">
							<span class="mandatory">*Champs obligatoires</span>
						</li>
					</ul>

				</fieldset>
			</form>

		</section>

	</div>

	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.bundle.min.js"></script>
	
</body>
</html>